﻿<!DOCTYPE html>
<html>
<head>
    <title>Xpath</title>
    <meta charset="utf-8" />
    <script src="https://code.jquery.com/jquery-1.11.3.js"></script>
    <style>
        .lb {
            width: 300px;
            height: 50px;
            margin: 20px;
        }
    </style>
</head>
<body>
    <div id="woj" class="lb"></div>
    <div id="pow" class="lb"></div>
    <div id="gmi" class="lb"></div>
    <div id="mia" class="lb"></div>
    <script>

        var main = document.body;
        var tabLb = ["Województwo", "Powiat", "Gmina", "Miasto"];

        var woj = document.getElementById("woj");
        var pow = document.getElementById("pow");
        var gmi = document.getElementById("gmi");
        var mia = document.getElementById("mia");

        window.addEventListener("load", function () {


            $.ajax({
                method: "POST",
                url: "ajax.php",
                data: { type: 'start' },
                success: function (data) {

                    var xpath = JSON.parse(data);
                    var array = [];
                    for (var i = 0; i < xpath.length; i++) {
                        var obj = {};
                        obj.nr = xpath[i].WOJ;
                        obj.name = xpath[i].NAZWA;
                        array.push(obj);
                    }

                    woj.innerHTML = tabLb[0];

                    var sel = document.createElement("select");
                    sel.style.cssFloat = "right";
                    //if (tab[i] != "Województwo") sel.disabled = true;

                    for (var j = 0; j < array.length; j++) {
                        var opt = document.createElement("option");
                        opt.innerHTML = array[j].name;
                        opt.value = array[j].nr;

                        sel.appendChild(opt);
                    }

                    sel.addEventListener("change", function () {
                        //console.log(this.value);
                        pow.innerHTML = "";
                        gmi.innerHTML = "";
                        mia.innerHTML = "";

                        $.ajax({
                            method: "POST",
                            url: "ajax.php",
                            data: { type: "pow", val: this.value },
                            success: function (data) {


                                var xpath = JSON.parse(data);
                                //console.log(xpath);
                                var array = [];
                                for (var i = 0; i < xpath.length; i++) {
                                    var obj = {};
                                    obj.nrWoj = xpath[i].WOJ;
                                    obj.nrPow = xpath[i].POW;
                                    obj.name = xpath[i].NAZWA;
                                    array.push(obj);
                                }

                                pow.innerHTML = tabLb[1];

                                var sel = document.createElement("select");
                                sel.style.cssFloat = "right";
                                //if (tab[i] != "Województwo") sel.disabled = true;

                                for (var j = 0; j < array.length; j++) {
                                    var opt = document.createElement("option");
                                    opt.innerHTML = array[j].name;
                                    opt.value = array[j].nrWoj + "|" + array[j].nrPow;

                                    sel.appendChild(opt);
                                }

                                sel.addEventListener("change", function () {
                                    //console.log(this.value);

                                    gmi.innerHTML = "";
                                    mia.innerHTML = "";
                                    
                                    $.ajax({
                                        method: "POST",
                                        url: "ajax.php",
                                        data: { type: "gmi", val: this.value },
                                        success: function (data) {

                                            //console.log(JSON.parse(data));

                                            var xpath = JSON.parse(data);
                                            //console.log(xpath);
                                            var array = [];
                                            for (var i = 0; i < xpath.length; i++) {
                                                var obj = {};
                                                obj.nrWoj = xpath[i].WOJ;
                                                obj.nrPow = xpath[i].POW;
                                                obj.nrGmi = xpath[i].GMI;
                                                obj.nrRodz = xpath[i].RODZ;
                                                obj.name = xpath[i].NAZWA;
                                                array.push(obj);
                                            }

                                            gmi.innerHTML = tabLb[2];

                                            var sel = document.createElement("select");
                                            sel.style.cssFloat = "right";
                                            //if (tab[i] != "Województwo") sel.disabled = true;

                                            for (var j = 0; j < array.length; j++) {
                                                var opt = document.createElement("option");
                                                opt.innerHTML = array[j].name;
                                                opt.value = array[j].nrWoj + "|" + array[j].nrPow + "|" + array[j].nrGmi + "|" + array[j].nrRodz;

                                                sel.appendChild(opt);
                                            }


                                            sel.addEventListener("change", function () {
                                                //console.log(this.value);
                                                mia.innerHTML = "";

                                                $.ajax({
                                                    method: "POST",
                                                    url: "ajax.php",
                                                    data: { type: "mia", val: this.value },
                                                    success: function (data) {

                                                        //console.log(JSON.parse(data));
                                                        var xpath = JSON.parse(data);
                                                        //console.log(xpath);
                                                        var array = [];
                                                        for (var i = 0; i < xpath.length; i++) {
                                                            var obj = {};
                                                            obj.name = xpath[i].NAZWA;
                                                            array.push(obj);
                                                        }

                                                        mia.innerHTML = tabLb[3];

                                                        var sel = document.createElement("select");
                                                        sel.style.cssFloat = "right";
                                                        //if (tab[i] != "Województwo") sel.disabled = true;

                                                        for (var j = 0; j < array.length; j++) {
                                                            var opt = document.createElement("option");
                                                            opt.innerHTML = array[j].name;
                                                            opt.value = array[j].name;

                                                            sel.appendChild(opt);
                                                        }

                                                        mia.appendChild(sel);

                                                    }
                                                })



                                            })


                                            gmi.appendChild(sel);

                                        },
                                    })
                                })

                                pow.appendChild(sel);


                            },
                        })
                    })


                    woj.appendChild(sel);


                }
            })










            function select(tab, tabOpt, x) {

                //for (var i = 0; i < tab.length; i++) {

                var lb = document.createElement("div");
                lb.setAttribute("class", "lb");
                lb.innerHTML = tab[x];

                var sel = document.createElement("select");
                sel.style.cssFloat = "right";
                //if (tab[i] != "Województwo") sel.disabled = true;

                for (var j = 0; j < tabOpt.length; j++) {
                    var opt = document.createElement("option");
                    opt.innerHTML = tabOpt[j].name;
                    opt.value = tabOpt[j].nr;

                    sel.appendChild(opt);
                }

                sel.addEventListener("change", function () {
                    console.log(this.value);

                    $.ajax({
                        method: "POST",
                        url: "ajax.php",
                        data: { type: this.value },
                        success: function (data) {

                            //console.log(data);

                        }
                    })



                })

                lb.appendChild(sel);
                main.appendChild(lb);

                //}

            }








        })

    </script>
</body>
</html>
